Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.workbench
Class PerspectiveDescriptor.View

    java.lang.Object
      ru.biosoft.workbench.PerspectiveDescriptor.View

Enclosing class:
  PerspectiveDescriptor

public static class PerspectiveDescriptor.View
extends java.lang.Object

Description of view and its layout inside the perspective. Generally this information is parsed by PerspecriveExtensionRegistryReader.

Field Summary
`static java.lang.String` | `BOTTOM`
`static java.lang.String` | `LEFT`
`static java.lang.String` | `RELATIVE_NONE` This constant should be used where yiu are addeing the first view.
`static java.lang.String` | `RIGHT`
`static java.lang.String` | `TOP`

Constructor Summary
`PerspectiveDescriptor.View(java.lang.String viewId, java.lang.String relativeId, java.lang.String relationship, float ratio, boolean visible)`

Method Summary
`float` | `getRatio()` Returns the ratio that will be used to locate one view relative other.
`java.lang.String` | `getRelationship()` Returns the relationship between view and relative.
`java.lang.String` | `getRelativeId()` Returns the unique identifier of a view which already exists in the perspective.
`java.lang.String` | `getViewId()` Returns unique identifier of the view which will be added to the perspective layout.
`boolean` | `isVisible()` Indicates whether the view is initially visible when the perspective is opened.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RELATIVE_NONE

    public static final java.lang.String RELATIVE_NONE

  This constant should be used where yiu are addeing the first view.

  See Also:
    Constant Field Values

### LEFT

    public static final java.lang.String LEFT

See Also:
  Constant Field Values

### RIGHT

    public static final java.lang.String RIGHT

See Also:
  Constant Field Values

### TOP

    public static final java.lang.String TOP

See Also:
  Constant Field Values

### BOTTOM

    public static final java.lang.String BOTTOM

See Also:
  Constant Field Values

Constructor Detail

### PerspectiveDescriptor.View

    public PerspectiveDescriptor.View(java.lang.String viewId,
                                      java.lang.String relativeId,
                                      java.lang.String relationship,
                                      float ratio,
                                      boolean visible)

Method Detail

### toString

    public java.lang.String toString()

### getViewId

    public java.lang.String getViewId()

  Returns unique identifier of the view which will be added to the perspective layout.

### getRelativeId

    public java.lang.String getRelativeId()

  Returns the unique identifier of a view which already exists in the perspective. This will be used as a reference point for placement of the view. The relationship between these two views is defined by relationship.

### getRelationship

    public java.lang.String getRelationship()

  Returns the relationship between view and relative. The following values are supported: LEFT, RIGHT, TOP, BOTTOM.

### getRatio

    public float getRatio()

  Returns the ratio that will be used to locate one view relative other. There are two ways to specify the view size:
  1. ratio is the percentage of area within the relative view which will be donated to the view extension. This must be defined as a floating point value and lie between 0.05 and 0.95.
  2. Width/height for the left/top view in pixels. The value should be more then 5.

### isVisible

    public boolean isVisible()

  Indicates whether the view is initially visible when the perspective is opened.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.